# Error codes

### 400 Bad Request

You may receive a `400 Bad Request` if:‌

#### There are issues in the body of your request

* A required field is missing.

{% hint style="danger" %}
`"information": {`\
&#x20;    `"addresses": ["This field is required."]`\
`}`
{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Add all the required fields to the body of your request.
{% endhint %}

* You used the wrong format or data type for a field.

{% hint style="danger" %}

```
"city": ["Not a valid string."]
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Format all your fields according to their [data type](https://www.w3schools.com/js/js_json_datatypes.asp).
{% endhint %}

#### There's an issue with your account

* Your account isn't configured to run this check or your account does not have payment configured.&#x20;

{% hint style="danger" %}

```
"request_equifax": ["Account not configured to \"request_equifax\".
 Please contact support@certn.co to update your plan."]
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

[Contact our support team](/api/contact.md#api) to have your account configured for this check or to confirm that your payment method is correctly configured.&#x20;

For a demo account, use this [payment method](/api/start/demo-account.md).
{% endhint %}

#### Something is preventing your request from completing

* You tried to generate a report, but the application is still processing.

{% hint style="danger" %}

```
"non_field_errors": ["Cannot generate report for incomplete hr applicant."]
or
"non_field_errors": ["Cannot generate report for incomplete applicant."]
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Wait for the application's `status` field to show `Returned` before generating the final report.
{% endhint %}

* You requested a check with a `min` and a `max` but set your `min` value to a number greater than your `max` value.

{% hint style="danger" %}

```
"non_field_errors": [
    "employer_references_max must be greater than employer_references_min."
]
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Edit the request's check settings to make sure that any `min` values are less than or equal to the corresponding `max` values.
{% endhint %}

### 401 Unauthorized

You may receive a `401 Unauthorized` if:‌

#### Your authorization header is missing or incorrect

* You sent your request without an authorization header.

{% hint style="danger" %}

```
"detail": "Authentication credentials were not provided."
```

{% endhint %}

* You sent your request with an authorization header, but without an API Key.
* You provided an incorrect API key in the header of your request.

{% hint style="danger" %}

```
"detail": "Invalid token."
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Add an [authorization header](/api/guides/use-the-api/authorization-header.md) to your request and make sure it includes your API Key.‌
{% endhint %}

### 403 Forbidden <a href="#id-401-unauthorized" id="id-401-unauthorized"></a>

You may receive a `403 Forbidden` if:

#### You don't have permission to make this request

* You sent your request to an endpoint you don't have access to.

{% hint style="danger" %}

```
"detail": "You do not have permission to perform this action."
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Use the URL that corresponds to your industry and make sure you're authorized to access this endpoint.
{% endhint %}

### 404 Not Found

You may receive a `404 Not Found` if:‌

#### The resource you called doesn't exist

* You sent a request to retrieve all your applications, but the page number you provided doesn't exist.

{% hint style="danger" %}

```
"detail": "Invalid page."
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Make sure the page number you entered is a valid integer and within the bounds of your expected results.
{% endhint %}

* You sent a request to retrieve an application or a report, but the application ID you provided couldn't be found.

{% hint style="danger" %}

```
"detail": "Not Found."
```

{% endhint %}

* You sent a request to retrieve an application or a report, but the application ID you provided is a string of letters.

{% hint style="danger" %}

```
<HTML Page> NOT FOUND
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Add your [application ID](/api/start/demo-account/retrieve-results.md#send-the-request) to the URL and make sure it's in the proper format.
{% endhint %}

* You sent a request to retrieve questionnaire reference templates for a team, but the team ID you provided couldn't be found.

{% hint style="danger" %}

```
"detail": "Not Found."
```

{% endhint %}

* You sent a request to retrieve questionnaire reference templates for a team, but the team ID you provided is a string of letters.

{% hint style="danger" %}

```
<HTML Page> NOT FOUND
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Add your team ID to the URL and make sure it's in the proper format.
{% endhint %}

### 500 Internal Server Error

You may receive a `500 Internal Server Error` if:‌

#### You sent something we didn't expect

* Some fields in your request are using the wrong data type.

{% hint style="danger" %}

```
<HTML Page> Server Error (500)
```

{% endhint %}

{% hint style="success" %}
**How to fix this issue**

Format all your fields according to their [data type](https://www.w3schools.com/js/js_json_datatypes.asp)![](/files/i1X0t7ez6Vlx9HiwQQXC). Most fields in our API take strings, while [request flags](/api/api-reference/resources/application-parameters/request-flags.md) take booleans.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certn.co/api/api-reference/resources/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
